%define module  Array-Compare
%define version 1.12
%define release 1mdk

Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perl extension for comparing arrays
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildrequires:	perl-Module-Build
Buildrequires:	perl-Test-Pod

%description 
If you have two arrays and you want to know if they are the same or different,
then Array::Compare will be useful to you.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT
./Build test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Array
%{_mandir}/*/*

%changelog
* Wed Mar 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.12-1mdk
- 1.12

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.11-2mdk
- fix buildrequires in a backward compatible way

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.11-1mdk 
- new version
- rpmbuildupdate aware

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.09-2mdk 
- fix directory ownership (distlint)

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.09-1mdk
- first mdk release
